Форум 1С
Программистам, бухгалтерам, администраторам, пользователям
Задай вопрос - получи решение проблемы
22 мая 2022, 10:35

Ошибка при обновлении "ФАЙЛ НЕ СОДЕРЖИТ ДОСТУПНЫХ ОБНОВЛЕНИЙ"

Автор Александр Бардайкин8, 19 мая 2016, 21:39

0 Пользователей и 1 гость просматривают эту тему.

Александр Бардайкин8

Добрый вечер!
Есть типовая конфигурация Турагенство, редакция 1.4 (1.4.5.26)
Стал обновлять до редакции 1.4.6.19, обновилось без проблем.
Затем стал обновлять до версии 1.4.7.34, и при обновлении он пишет что "Файл не содержит доступных обновлений" и ниже высвечиваются в окне "данный файл имеет обновление для следующих конфигураций" моя конфигурация т.е. 1.4.6.19

Я в этом пока еще только начинающий, не могу понять, почему не хочет обновляться, если конфигурация типовая?
Спасибо :)

TytovV

Дело не в типовой конфигурации, а последовательности конфигурационного файла, смотри каким конфигурационным обновлением обновляется 19 релиз, а потом и дойдете последовательно и до 34, потому что явно прыгаете через большое количество обновлений


Отправлено с моего iPhone используя Tapatalk

Александр Бардайкин8

Вот все версии обновлений для данной конфигурации,

Номер версии      Обновление версии
1.4.9.48      1.4.8.7, 1.4.9.13, 1.4.9.43
1.4.9.43      1.4.8.7, 1.4.9.13
1.4.9.13      1.4.8.7
1.4.8.7         1.4.7.42
1.4.7.42      1.4.6.19, 1.4.7.34
1.4.7.34      1.4.6.19
1.4.6.19      1.4.4.11, 1.4.5.26
1.4.5.26      1.4.4.11, 1.4.5.25
1.4.5.25      1.4.4.11

Я обновляю последовательно, пробовал 1.4.7.34 и 1.4.7.42 устанавливать, ни в какую :(

TytovV

Если 34 не получается, попробуйте 42, он тоже 19 релиз видит судя из списка


Отправлено с моего iPhone используя Tapatalk

TytovV

Если все получится, двигайтесь дальше по обновлениям


Отправлено с моего iPhone используя Tapatalk

Александр Бардайкин8


Rasty

Есть константа номер версии конфигурации, а также есть версия конфигурации в свойствах самой конфы, посмотрите стоит ли там 1.4.6.19
Добавлено: 20 мая 2016, 10:59


ну и после обновления конфу обновить надо
Помогли - Скажи спасибо! Решил сам - поделись решением!
:)

TytovV

Вам надо убедится, что 19 релиз до конца обновился или нет, посмотрите информацию о программе там отобразился новый релиз или нет, если нет, запустите небольшой механизм обновления, войдите в регистр сведении, найдите в нем регистр, версии подсистемы, найдите свою версию, выберите ее, поменяйте цифры версии на меньшии и перегрузите программу, программа должна увидеть старшее обновление конфигурации и предложить обновить конф информацию, это надо сделать, после этого для других конфигураций будет понятно что обновлять, то сейчас они видят наверно старый релиз, и говорят о том что они видят обновление для следущих релизов 2,3,4 5 а стоит релиз 1, а нам нужно что бы был 2, тогда все обновится


Отправлено с моего iPhone используя Tapatalk

Александр Бардайкин8

Пробовал изменять номер релиза на более ранний, перезапускал программу, и он отображает релиз 1.4.6.19 (на который обновлял), то есть по сути, конфигурация успешно обновлена, но вот почему дальше не хочет обновляться, не могу понять?
И в свойствах самой конфигурации везде прописана версия 1.4.6.19

Hedinnk

В начале года столкнулся с такой же проблемой. До меня поддержкой занимался другой человек, поэтому не знаю что он делал. Было испробовано много различных вариантов. В итоге пришлось поднимать чистую базу того же реализа, что и база, которая не хотела обновляться, и с помощью конвертации переносить данные. После этого обновлять до нужного реализа.
На форуме есть волшебная кнопка "Сказать СПАСИБО"

Теги:

Похожие темы (5)

Рейтинг@Mail.ru Rambler's Top100

Поиск